Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.office
Class LoftReader

    java.lang.Object
      writer2latex.office.LoftReader

    public class LoftReader

extends java.lang.Object

The class reads a `text:illustration-index` or `text:table-index` element.

Field Summary
`private boolean` | `bIsByChapter`
`private boolean` | `bIsTableIndex`
`private boolean` | `bUseCaption`
`private org.w3c.dom.Element` | `indexBody`
`private org.w3c.dom.Element` | `indexTitleTemplate`
`private org.w3c.dom.Element` | `loftEntryTemplate`
`private org.w3c.dom.Element` | `loftSource`
`private java.lang.String` | `sCaptionSequenceName`
`private java.lang.String` | `sName`
`private java.lang.String` | `sStyleName`

Constructor Summary
`LoftReader(org.w3c.dom.Element onode)` Initialize the LoftReader with a illustration/table index node

Method Summary
`java.lang.String` | `getCaptionSequenceName()` Get the sequence name to use for the caption
`org.w3c.dom.Element` | `getIndexBody()` Return the generated content of this loft, if available
`org.w3c.dom.Element` | `getIndexTitleTemplate()` Get the index title template for this loft
`org.w3c.dom.Element` | `getLoftEntryTemplate(int nLevel)` Get the entry template for this loft at a specific level
`java.lang.String` | `getName()` Get the (section) name for this loft
`java.lang.String` | `getStyleName()` Get the (section) style name for this loft
`boolean` | `isByChapter()` Is this loft by chapter?
`boolean` | `isTableIndex()` Is this a table index or a figure index?
`boolean` | `useCaption()` Is this loft generated by captions?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loftSource

    private org.w3c.dom.Element loftSource

### indexBody

    private org.w3c.dom.Element indexBody

### sName

    private java.lang.String sName

### sStyleName

    private java.lang.String sStyleName

### bUseCaption

    private boolean bUseCaption

### sCaptionSequenceName

    private java.lang.String sCaptionSequenceName

### bIsByChapter

    private boolean bIsByChapter

### indexTitleTemplate

    private org.w3c.dom.Element indexTitleTemplate

### loftEntryTemplate

    private org.w3c.dom.Element loftEntryTemplate

### bIsTableIndex

    private boolean bIsTableIndex

Constructor Detail

### LoftReader

    public LoftReader(org.w3c.dom.Element onode)

  Initialize the LoftReader with a illustration/table index node

  Parameters:
    `onode` - a `text:*-index`

Method Detail

### getName

    public java.lang.String getName()

  Get the (section) name for this loft

  Returns:
    the name of the loft

### getStyleName

    public java.lang.String getStyleName()

  Get the (section) style name for this loft

  Returns:
    name of the section style to use for this loft

### isTableIndex

    public boolean isTableIndex()

  Is this a table index or a figure index?

  Returns:
    true if it's a table index

### isByChapter

    public boolean isByChapter()

  Is this loft by chapter?

  Returns:
    true if the scope is a chapter only

### useCaption

    public boolean useCaption()

  Is this loft generated by captions? (otherwise: by object names)

  Returns:
    true if we use captions

### getCaptionSequenceName

    public java.lang.String getCaptionSequenceName()

  Get the sequence name to use for the caption

  Returns:
    the name of the caption

### getIndexTitleTemplate

    public org.w3c.dom.Element getIndexTitleTemplate()

  Get the index title template for this loft

  Returns:
    the `text:index-title-template` element, or null

### getLoftEntryTemplate

    public org.w3c.dom.Element getLoftEntryTemplate(int nLevel)

  Get the entry template for this loft at a specific level

  Parameters:
    `nLevel` - the outline level
  Returns:
    the `text:table-of-content-entry-template` element, or null

### getIndexBody

    public org.w3c.dom.Element getIndexBody()

  Return the generated content of this loft, if available

  Returns:
    the `text:index-body` element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD